diff --git a/.github/workflows/build.yml b/.github/workflows/build.yml
index af514e9545..421207c241 100644
--- a/.github/workflows/build.yml
+++ b/.github/workflows/build.yml
@@ -36,37 +36,37 @@ jobs:
       fail-fast: false
       matrix:
         config:
-          - os: ubuntu-20.04
+          - os: ubuntu-22.04
             compiler: gcc
             mini: mini
-          - os: ubuntu-20.04
+          - os: ubuntu-22.04
             compiler: gcc
             checks: stdatomic
-          - os: ubuntu-20.04
+          - os: ubuntu-22.04
             compiler: clang
             checks: stdatomic
-          - os: ubuntu-20.04
+          - os: ubuntu-22.04
             compiler: gcc
             checks: abi+debug+doc+examples+tests
-          - os: ubuntu-20.04
+          - os: ubuntu-22.04
             compiler: clang
             checks: asan+doc+tests
-          - os: ubuntu-20.04
+          - os: ubuntu-22.04
             compiler: gcc
             library: static
             cross: i386
-          - os: ubuntu-20.04
+          - os: ubuntu-22.04
             compiler: gcc
             library: static
             cross: mingw
-          - os: ubuntu-20.04
+          - os: ubuntu-22.04
             compiler: gcc
             library: shared
             cross: aarch64
-          - os: ubuntu-20.04
+          - os: ubuntu-22.04
             compiler: gcc
             cross: ppc64le
-          - os: ubuntu-20.04
+          - os: ubuntu-22.04
             compiler: gcc
             cross: riscv64
 
@@ -105,10 +105,10 @@ jobs:
     - name: Update APT cache
       run: sudo apt update || true
     - name: Install packages
-      run: sudo apt install -y ccache libarchive-dev libbsd-dev libfdt-dev
-        libibverbs-dev libjansson-dev libnuma-dev libpcap-dev libssl-dev
-        ninja-build pkg-config python3-pip python3-pyelftools python3-setuptools
-        python3-wheel zlib1g-dev
+      run: sudo apt install -y ccache libarchive-dev libbsd-dev libbpf-dev
+        libfdt-dev libibverbs-dev libipsec-mb-dev libisal-dev libjansson-dev
+        libnuma-dev libpcap-dev libssl-dev ninja-build pkg-config python3-pip
+        python3-pyelftools python3-setuptools python3-wheel zlib1g-dev
     - name: Install libabigail build dependencies if no cache is available
       if: env.ABI_CHECKS == 'true' && steps.libabigail-cache.outputs.cache-hit != 'true'
       run: sudo apt install -y autoconf automake libdw-dev libtool libxml2-dev
@@ -162,7 +162,7 @@ jobs:
       fail-fast: false
       matrix:
         config:
-          - image: fedora:37
+          - image: fedora:39
 
     steps:
     - name: Generate various keys
@@ -187,11 +187,11 @@ jobs:
       run: docker exec -i dpdk dnf update -y
     - name: Install packages
       if: steps.image_cache.outputs.cache-hit != 'true'
-      run: docker exec -i dpdk dnf install -y ccache jansson-devel
-        libarchive-devel libatomic libbsd-devel libbpf-devel libfdt-devel
-        libpcap-devel ninja-build numactl-devel openssl-devel python3-pip
-        python3-pyelftools python3-setuptools python3-wheel rdma-core-devel
-        zlib-devel
+      run: docker exec -i dpdk dnf install -y ccache intel-ipsec-mb-devel
+        isa-l-devel jansson-devel libarchive-devel libatomic libbsd-devel
+        libbpf-devel libfdt-devel libpcap-devel libxdp-devel ninja-build
+        numactl-devel openssl-devel python3-pip python3-pyelftools
+        python3-setuptools python3-wheel rdma-core-devel zlib-devel
     - name: Save image in cache
       if: steps.image_cache.outputs.cache-hit != 'true'
       run: |
@@ -211,9 +211,9 @@ jobs:
       fail-fast: false
       matrix:
         config:
-          - image: fedora:37
+          - image: fedora:39
             compiler: gcc
-          - image: fedora:37
+          - image: fedora:39
             compiler: clang
 
     steps:
@@ -262,11 +262,11 @@ jobs:
     - name: Update
       run: docker exec -i dpdk dnf update -y || true
     - name: Install packages
-      run: docker exec -i dpdk dnf install -y ccache jansson-devel
-        libarchive-devel libatomic libbsd-devel libxdp-devel libfdt-devel
-        libpcap-devel ninja-build numactl-devel openssl-devel python3-pip
-        python3-pyelftools python3-setuptools python3-wheel rdma-core-devel
-        zlib-devel
+      run: docker exec -i dpdk dnf install -y ccache intel-ipsec-mb-devel
+        isa-l-devel jansson-devel libarchive-devel libatomic libbsd-devel
+        libbpf-devel libfdt-devel libpcap-devel libxdp-devel ninja-build
+        numactl-devel openssl-devel python3-pip python3-pyelftools
+        python3-setuptools python3-wheel rdma-core-devel zlib-devel
         ${{ matrix.config.compiler }}
     - name: Run setup
       run: docker exec -i dpdk .ci/linux-setup.sh